<?require_once '../Commands.php';?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
	<head>
		<meta name="Robots" content="NOINDEX">
		<title>ĶñCMSactagԲ</title>
		<meta http-equiv="Content-Type" content="text/html; charset=EUC-JP">
		<meta http-equiv="Expires"			content="Thu, 01 Dec 1994 16:00:00 GMT">
		<meta http-equiv="Last-Modified"	content="Thu, 01 Dec 2006 16:00:00 GMT">
		<meta http-equiv="Cache-Control"	content="no-cache, must-revalidate">
		<meta http-equiv="Pragma"			content="no-cache">
		<link href="../shared/css/main.css" rel="stylesheet" type="text/css" />
		<script language="JavaScript" type="text/JavaScript" src="../shared/js/base.js"></script>
		<script type="text/javascript" src="htmlarea.js"></script>
		<script type="text/javascript" src="lang/ja.js"></script>
		<script type="text/javascript" src="dialog.js"></script>
		<style type="text/css">
			@import url(htmlarea.css);

			html, body {
			  font-family: Verdana,sans-serif;
			  background-color: #f0f0f0;
			  color: #000;
			}

			.ash1{
			 	border-left			:solid 3px blue;
				border-top			:solid 2px blue;
				border-bottom		:solid 1px silver;
				border-right		:solid 1px silver;
				background-color	:#eeffff;
			    font-weight			:bold;
			    font-size			:16px;
				height				:19;
			}

			a:link, a:visited { color: #00f; }
			a:hover { color: #048; }
			a:active { color: #f00; }

			textarea { background-color: #fff; border: 1px solid 00f; }
		</style>

		<script type="text/javascript">
			var editor = null;
			function initEditor() {
			  editor = new HTMLArea("ta");

			  // comment the following two lines to see how customization works
			  editor.generate();
			  return false;

			  var cfg = editor.config; // this is the default configuration
			  cfg.registerButton({
			    id        : "my-hilite",
			    tooltip   : "Highlight text",
			    image     : "ed_custom.gif",
			    textMode  : false,
			    action    : function(editor) {
			                  editor.surroundHTML("<span class=\"hilite\">", "</span>");
			                },
			    context   : 'table'
			  });

			  cfg.toolbar.push(["linebreak", "my-hilite"]); // add the new button to the toolbar

			  // BEGIN: code that adds a custom button
			  // uncomment it to test
			  var cfg = editor.config; // this is the default configuration
			  /*
			  cfg.registerButton({
			    id        : "my-hilite",
			    tooltip   : "Highlight text",
			    image     : "ed_custom.gif",
			    textMode  : false,
			    action    : function(editor) {
			                  editor.surroundHTML("<span class=\"hilite\">", "</span>");
			                }
			  });
			  */

			function clickHandler(editor, buttonId) {
			  switch (buttonId) {
			    case "my-toc":
			      editor.insertHTML("<div class='ash1'>Table Of Contents</div>");
			      break;
			    case "my-date":
			      editor.insertHTML((new Date()).toString());
			      break;
			    case "my-bold":
			      editor.execCommand("bold");
			      editor.execCommand("italic");
			      break;
			    case "my-hilite":
			      editor.surroundHTML("<span class=\"hilite\">", "</span>");
			      break;
			  }
			};
			cfg.registerButton("my-toc",  "Insert TOC", "ed_custom.gif", false, clickHandler);
			cfg.registerButton("my-date", "Insert date/time", "ed_custom.gif", false, clickHandler);
			cfg.registerButton("my-bold", "Toggle bold/italic", "ed_custom.gif", false, clickHandler);
			cfg.registerButton("my-hilite", "Hilite selection", "ed_custom.gif", false, clickHandler);

			cfg.registerButton("my-sample", "Class: sample", "ed_custom.gif", false,
			  function(editor) {
			    if (HTMLArea.is_ie) {
			      editor.insertHTML("<span class=\"sample\">&nbsp;&nbsp;</span>");
			      var r = editor._doc.selection.createRange();
			      r.move("character", -2);
			      r.moveEnd("character", 2);
			      r.select();
			    } else { // Gecko/W3C compliant
			      var n = editor._doc.createElement("span");
			      n.className = "sample";
			      editor.insertNodeAtSelection(n);
			      var sel = editor._iframe.contentWindow.getSelection();
			      sel.removeAllRanges();
			      var r = editor._doc.createRange();
			      r.setStart(n, 0);
			      r.setEnd(n, 0);
			      sel.addRange(r);
			    }
			  }
			);


			  /*
			  cfg.registerButton("my-hilite", "Highlight text", "ed_custom.gif", false,
			    function(editor) {
			      editor.surroundHTML('<span class="hilite">', '</span>');
			    }
			  );
			  */
			  cfg.pageStyle = "body { background-color: #efd; } .hilite { background-color: yellow; } "+
			                  ".sample { color: green; font-family: monospace; }";
			  cfg.toolbar.push(["linebreak", "my-toc", "my-date", "my-bold", "my-hilite", "my-sample"]); // add the new button to the toolbar
			  // END: code that adds a custom button

			  editor.generate();
			}
			function insertHTML() {
			  var html = prompt("Enter some HTML code here");
			  if (html) {
			    editor.insertHTML(html);
			  }
			}
			function highlight() {
			  editor.surroundHTML('<span style="background-color: yellow">', '</span>');
			}
		</script>

		<?
			@session_name("actag_u");
			@session_name("actag_p");
			@session_start();

			$strPathname	= $_SESSION['dir'];

			$kind			= $_POST['kind'	];

			$strTitle = "";
			if($strHtml = file_get_contents("../$strPathname")){

				//EUC-JPѴ
				$strHtml = mb_convert_encoding($strHtml, "EUC-JP", "ASCII,JIS,UTF-8,EUC-JP,SJIS");

				//ȥμ
				$strTitle = ab_GetwordinTag($strHtml, "title");

				//ե̾ɲ
				$strTitlename = $strTitle."(".basename($strPathname).")";
			}
		?>
	</head>

	<body onload="initEditor()">
		<div id="topcont">
			<div id="container">
				<div class="border1">
					<div class="border2">
						<div class="border3">
							<div class="indexdoc">
								<img alt="ĶñCMSactagԲ" src="../images/top.jpg">
								<div id="cont">
									<div id="topcontents">
										<div class="title">ۡڡ</div>
									</div>
									<div id="topcontentsend"></div>

									<?=$strTitlename?>

									<form method="post" id="edit" name="edit" action="../update.php">
										<div align="right">
											<input type="submit" name="update" value="" style="display:none">
											<a title="ԽƤǥڡȿǤ" href="javascript:document.edit.update.click()"></a>
											<a title="ԽƤ˴"         href="javascript:window.location.reload()">᤹</a>
											<a title="ԽߤƸβ̤"     href="../disp.php?bookmark=<?=$_POST['bookmark']?>">󥻥</a>
										</div>
										<input type="hidden" name="kind"			value="<?=$_POST['kind']?>" />
										<input type="hidden" name="bookmark"		value="<?=$_POST['bookmark']?>" />
										<input type="hidden" name="position"		value="<?=$_POST['position']?>" />
										<input type="hidden" name="textareaxnote"	value="<?=$_POST['textareaxnote']?>" />

										<textarea id="ta" name="textarea_note" style="width:99%" rows="26" cols="80">
											<?=htmlspecialchars(urldecode($_POST['item_value']))?>
										</textarea>
									</form>
									<br>
								</div>
							</div>
						</div>
					</div>
				</div>
			<div id="foot">
				<div class="doc">
					<div class="copyright">copyright. act-brain co., jp.</div>
					<div class="home"><a href="./logout.php">&gt;&gt; LOGOUT</a></div>
				</div>
			</div>
			<div id="footclear"></div>
			</div>
		</div>
	</body>
</html>
