// I18N constants -- Japanese EUC
// by Manabu Onoue -- tmocsys@tmocsys.com

HTMLArea.I18N = {

	// the following should be the filename without .js extension
	// it will be used for automatically load plugin language.
	lang: "ja-euc",

	tooltips: {
		bold:           "",
		italic:         "",
		underline:      "",
		strikethrough:  "Ǥä",
		subscript:      "դź",
		superscript:    "դź",
		justifyleft:    "",
		justifycenter:  "",
		justifyright:   "",
		justifyfull:    "",
		insertorderedlist:    "ֹդվ",
		insertunorderedlist:  "դվ",
		outdent:        "ǥȲ",
		indent:         "ǥ",
		forecolor:      "ʸ",
		hilitecolor:     "طʿ",
		inserthorizontalrule: "ʿ",
		createlink:     "󥯺",
		insertimage:    "",
		inserttable:    "ơ֥",
		htmlmode:       "HTMLɽ",
		popupeditor:    "ǥ",
		about:          "С",
		showhelp:       "إ",
		textindicator:  "ߤΥ",
		undo:           "ä",
		redo:           "äμä",
		cut:            "ڤȴ",
		copy:           "ԡ",
		paste:          "Žդ"
	},

	buttons: {
		"ok":           "OK",
		"cancel":       "Cancel"
	},

	msg: {
		"Path":         "Path",
		"TEXT_MODE":    "You are in TEXT MODE.  Use the [<>] button to switch back to WYSIWIG."
	}
};
